Summary:        Encrypted password manager.
Name:           gpasman
Version:        1.9.2
Release:        0.fdr.4.1
Epoch:          0
URL:            http://gpasman.sourceforge.net/
License:        GPL
Group:          Applications/System
Source0:        http://gpasman.sourceforge.net/files/gpasman-1.9.2.tar.gz
Source1:        gpasman.desktop
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  glib2-devel >= 0:2.0.1
BuildRequires:  gtk2-devel >= 0:2.0.2
BuildRequires:  perl
BuildRequires:  gettext
BuildRequires:  desktop-file-utils

%description
People working with the internet have to remember lots of passwords. Saving
them in a regular text file is not a good idea. If leave your desk somebody
could take a look at the file and hack the systems.

That's why Olivier Sessink created Gpasman, a GTK password managing program.
You now need to remember only the master password!

Is it secure?
That's the question that everybody needs to know. Gpasman encrypts it's data
using the rc2 algorithm as described in RFC2268, and implemented in the rc2
library by Matthew Palmer. Gpasman uses your password as key (expanded to 128
bytes) to decrypt the data. On startup you have to type the password again, and
then Gpasman is able to decrypt the datafile. If you type the wrong password,
you can only see the unreadable result.


%prep
%setup -q


%build
%configure
make %{?_smp_mflags}


%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall
%find_lang %{name}

install -p -D -m644 %{SOURCE1} ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop
desktop-file-install --vendor fedora --delete-original  \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications       \
  --add-category X-Fedora                               \
  --add-category Application                            \
  --add-category Utility                                \
  ${RPM_BUILD_ROOT}%{_datadir}/applications/%{name}.desktop



%clean
rm -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%{_bindir}/*
%{_datadir}/applications/fedora-gpasman.desktop
%{_datadir}/pixmaps/*


%changelog
* Mon Jul 28 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.9.2-0.fdr.4
- Fixed file permissions.

* Sun Jul 27 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.9.2-0.fdr.3
- buildroot -> RPM_BUILD_ROOT.
- BuildReq: gettext.

* Tue Apr 01 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.9.2-0.fdr.2
- Added desktop-file-utils to BuildRequires.
- Changed category to X-Fedora-Extra.
- Added Epoch:0.

* Tue Mar 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.9.2-0.fdr.1
- Updated to 1.9.2.

* Tue Mar 25 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.9.1b-0.fdr.2
- Modified desktop entry to stop it from showing up twice.

* Sat Mar 22 2003 Phillip Compton <pcompton[AT]proteinmedia.com> - 1.9.1b-0.fdr.1
- Initial RPM release.
